import request from '@/utils/request'

// 查询消息类型列表
export function findMessageTypeList(data) {
  return request({
    url: '/breakdown/type/findMessageTypeList',
    method: 'post',
    data:data
  })
}
//测试报文故障规则
// export function ruleMessageType(data) {
//   return request({
//     url: '/system/type/ruleMessageType',
//     method: 'post',
//     data:data
//   })
// }

//规则查询列表
export function findMessageTypeCarList(data) {
  return request({
    url: '/breakdown/test/findMessageTypeCarList',
    method: 'post',
    data:data
  })
}





//测试报文故障规则
export function ruleMessageTypeCar(data) {
  return request({
    url: '/breakdown/test/ruleMessageTypeCar',
    method: 'post',
    data:data
  })
}
//添加规则
export function addMessageTypeCar(data) {
  return request({
    url: '/breakdown/test/addMessageTypeCar',
    method: 'post',
    data:data
  })
}
//VIN下拉框
export function findSysCarList() {
  return request({
    url: '/breakdown/test/findSysCarList',
    method: 'get'
  })
}
//报文名称下拉框
export function findSysMessageTypeList() {
  return request({
    url: '/breakdown/test/findSysMessageTypeList',
    method: 'get'
  })
}
//删除报文规则
export function deleteMessageTypeCarId(id) {
  return request({
    url: '/breakdown/test/deleteMessageTypeCarId?id='+id,
    method: 'get'
  })
}
//修改报文规则
export function updateMessageTypoeCar(data) {
  return request({
    url: '/breakdown/test/updateMessageTypoeCar',
    method: 'post',
    data:data
  })
}



